Bug 80228 - after suspend/wake up, named no longer responds
after suspend/wake up, named no longer responds
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-12-22 17:02 EST by Alexandre Oliva
Modified: 2015-01-07 19:02 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.0.2-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-19 17:06:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-12-22 17:02:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After I suspend my laptop and wake it back up, the local caching name server
stops responding.  I suppose this has to do with the fact that the network
interfaces are restarted, and named doesn't realize it would have to bind to the
ports of the new interfaces.  Restarting it fixes the problem, but just reload
doesn't.  Perhaps we should condrestart it on wake up?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Verify that named is running, and is used to resolve names
3.Wake up
4.Try to resolve names

Actual Results:  It fails

Expected Results:  It should work

Additional info:

This is not new in the beta, but it'd never occurred to me to report it.
Comment 1 Bill Nottingham 2003-05-19 17:06:08 EDT
This should be fixed with 3.0.2-19, by changing services to start *after* the
network, not before.
Comment 2 Alexandre Oliva 2003-06-21 11:46:50 EDT
Confirmed fixed in rawhide, sorry about the long delay.

Note You need to log in before you can comment on or make changes to this bug.